## org.apache.batik.dom.svg
Class SAXSVGDocumentFactory

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.batik.dom.util.SAXDocumentFactory
              org.apache.batik.dom.svg.SAXSVGDocumentFactory

All Implemented Interfaces:
  org.xml.sax.ContentHandler, DocumentFactory, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler, SVGDocumentFactory

public class SAXSVGDocumentFactory
extends SAXDocumentFactory
implements SVGDocumentFactory

This class contains methods for creating SVGDocument instances from an URI using SAX2.

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.util.SAXDocumentFactory
`SAXDocumentFactory.PreInfo`

Field Summary
`protected static java.lang.String` `dtdids` The accepted DTD public IDs.
`protected static java.lang.String` `DTDIDS` The dtd public IDs resource bundle class name.
`protected static java.lang.String` `HTTP_CHARSET` Constant for HTTP content type header charset field.
`static java.lang.String` `KEY_PUBLIC_IDS` Key used for public identifiers
`static java.lang.String` `KEY_SKIP_DTD` Key used for the skippable DTD substitution
`static java.lang.String` `KEY_SKIPPABLE_PUBLIC_IDS` Key used for public identifiers
`static java.lang.String` `KEY_SYSTEM_ID` Key used for system identifiers
`protected static java.util.ResourceBundle` `rb` The ResourceBunder for the public and system ids
`protected static java.lang.String` `skip_dtd` The DTD content to use when skipping
`protected static java.lang.String` `skippable_dtdids` The DTD public IDs we know we can skip.

Fields inherited from class org.apache.batik.dom.util.SAXDocumentFactory
`cdataBuffer, createDocumentDescriptor, currentNode, document, documentDescriptor, errorHandler, implementation, inDTD, isValidating, locator, namespaces, parserClassName, preInfo`

Constructor Summary
`SAXSVGDocumentFactory(java.lang.String parser)` Creates a new SVGDocumentFactory object.
`SAXSVGDocumentFactory(java.lang.String parser, boolean dd)` Creates a new SVGDocumentFactory object.

Method Summary
`org.w3c.dom.Document` `createDocument(java.lang.String uri)` Creates a SVG Document instance. This method supports gzipped sources.
`org.w3c.dom.Document` `createDocument(java.lang.String uri, java.io.InputStream inp)` Creates a SVG Document instance.
`org.w3c.dom.Document` `createDocument(java.lang.String uri, java.io.Reader r)` Creates a SVG Document instance.
`org.w3c.dom.Document` `createDocument(java.lang.String ns, java.lang.String root, java.lang.String uri)` Creates a Document instance.
`org.w3c.dom.Document` `createDocument(java.lang.String ns, java.lang.String root, java.lang.String uri, java.io.InputStream is)` Creates a Document instance.
`org.w3c.dom.Document` `createDocument(java.lang.String ns, java.lang.String root, java.lang.String uri, java.io.Reader r)` Creates a Document instance.
`SVGDocument` `createSVGDocument(java.lang.String uri)` Creates a SVG Document instance.
`SVGDocument` `createSVGDocument(java.lang.String uri, java.io.InputStream inp)` Creates a SVG Document instance.
`SVGDocument` `createSVGDocument(java.lang.String uri, java.io.Reader r)` Creates a SVG Document instance.
`org.xml.sax.InputSource` `resolveEntity(java.lang.String publicId, java.lang.String systemId)` SAX2: Implements `EntityResolver.resolveEntity(String,String)`.
`void` `startDocument()` SAX: Implements `ContentHandler.startDocument()`.

Methods inherited from class org.apache.batik.dom.util.SAXDocumentFactory
`characters, comment, createDocument, createDocument, createDocument, endCDATA, endDTD, endElement, endEntity, error, fatalError, getDocumentDescriptor, isValidating, processingInstruction, setDocumentLocator, setErrorHandler, setValidating, startCDATA, startDTD, startElement, startEntity, warning`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.util.DocumentFactory
`createDocument, getDocumentDescriptor, isValidating, setValidating`

Field Detail

### KEY_PUBLIC_IDS

    public static final java.lang.String KEY_PUBLIC_IDS

  Key used for public identifiers

  See Also:
    Constant Field Values

### KEY_SKIPPABLE_PUBLIC_IDS

    public static final java.lang.String KEY_SKIPPABLE_PUBLIC_IDS

  Key used for public identifiers

  See Also:
    Constant Field Values

### KEY_SKIP_DTD

    public static final java.lang.String KEY_SKIP_DTD

  Key used for the skippable DTD substitution

  See Also:
    Constant Field Values

### KEY_SYSTEM_ID

    public static final java.lang.String KEY_SYSTEM_ID

  Key used for system identifiers

  See Also:
    Constant Field Values

### DTDIDS

    protected static final java.lang.String DTDIDS

  The dtd public IDs resource bundle class name.

  See Also:
    Constant Field Values

### HTTP_CHARSET

    protected static final java.lang.String HTTP_CHARSET

  Constant for HTTP content type header charset field.

  See Also:
    Constant Field Values

### dtdids

    protected static java.lang.String dtdids

  The accepted DTD public IDs.

### skippable_dtdids

    protected static java.lang.String skippable_dtdids

  The DTD public IDs we know we can skip.

### skip_dtd

    protected static java.lang.String skip_dtd

  The DTD content to use when skipping

### rb

    protected static java.util.ResourceBundle rb

  The ResourceBunder for the public and system ids

Constructor Detail

### SAXSVGDocumentFactory

    public SAXSVGDocumentFactory(java.lang.String parser)

  Creates a new SVGDocumentFactory object.

Parameters:
  `parser` - The SAX2 parser classname.

### SAXSVGDocumentFactory

    public SAXSVGDocumentFactory(java.lang.String parser,
                                 boolean dd)

  Creates a new SVGDocumentFactory object.

Parameters:
  `parser` - The SAX2 parser classname.
  `dd` - Whether a document descriptor must be generated.

Method Detail

### createSVGDocument

    public SVGDocument createSVGDocument(java.lang.String uri)
                                  throws java.io.IOException

  Description copied from interface: `SVGDocumentFactory`
  Creates a SVG Document instance.

  Specified by:
    `createSVGDocument` in interface `SVGDocumentFactory`
  Parameters:
    `uri` - The document URI.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createSVGDocument

    public SVGDocument createSVGDocument(java.lang.String uri,
                                         java.io.InputStream inp)
                                  throws java.io.IOException

  Creates a SVG Document instance.

  Specified by:
    `createSVGDocument` in interface `SVGDocumentFactory`
  Parameters:
    `uri` - The document URI.
    `inp` - The document input stream.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createSVGDocument

    public SVGDocument createSVGDocument(java.lang.String uri,
                                         java.io.Reader r)
                                  throws java.io.IOException

  Creates a SVG Document instance.

  Specified by:
    `createSVGDocument` in interface `SVGDocumentFactory`
  Parameters:
    `uri` - The document URI.
    `r` - The document reader.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String uri)
                                        throws java.io.IOException

  Creates a SVG Document instance.
  This method supports gzipped sources.

  Overrides:
    `createDocument` in class `SAXDocumentFactory`
  Parameters:
    `uri` - The document URI.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String uri,
                                               java.io.InputStream inp)
                                        throws java.io.IOException

  Creates a SVG Document instance.

  Overrides:
    `createDocument` in class `SAXDocumentFactory`
  Parameters:
    `uri` - The document URI.
    `inp` - The document input stream.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String uri,
                                               java.io.Reader r)
                                        throws java.io.IOException

  Creates a SVG Document instance.

  Overrides:
    `createDocument` in class `SAXDocumentFactory`
  Parameters:
    `uri` - The document URI.
    `r` - The document reader.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String ns,
                                               java.lang.String root,
                                               java.lang.String uri)
                                        throws java.io.IOException

  Creates a Document instance.

  Specified by:
    `createDocument` in interface `DocumentFactory`
  Overrides:
    `createDocument` in class `SAXDocumentFactory`
  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String ns,
                                               java.lang.String root,
                                               java.lang.String uri,
                                               java.io.InputStream is)
                                        throws java.io.IOException

  Creates a Document instance.

  Specified by:
    `createDocument` in interface `DocumentFactory`
  Overrides:
    `createDocument` in class `SAXDocumentFactory`
  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
    `is` - The document input stream.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String ns,
                                               java.lang.String root,
                                               java.lang.String uri,
                                               java.io.Reader r)
                                        throws java.io.IOException

  Creates a Document instance.

  Specified by:
    `createDocument` in interface `DocumentFactory`
  Overrides:
    `createDocument` in class `SAXDocumentFactory`
  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
    `r` - The document reader.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  SAX: Implements `ContentHandler.startDocument()`.

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startDocument` in class `SAXDocumentFactory`
  Throws:
    `org.xml.sax.SAXException`

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException

  SAX2: Implements `EntityResolver.resolveEntity(String,String)`.

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Throws:
    `org.xml.sax.SAXException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.